Option Explicit On
Option Strict On

Imports System.Configuration.ConfigurationManager
Imports System.Data
Imports System.Data.SqlClient

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub cvAutenticacao_ServerValidate(ByVal source As Object, _
       ByVal args As ServerValidateEventArgs)

        Dim dbConn As SqlConnection = Nothing
        Dim dCmd As SqlCommand = Nothing
        Dim strConnection As String
        Dim strSQL As String

        Try
            'inicialmente assumimos que as credenciais so invlidas
            args.IsValid = False

            'obtem a string de conexo a partir do web.config e abre a conexo com o banco de dados
            strConnection = ConnectionStrings("dbConnectionString").ConnectionString
            dbConn = New SqlClient.SqlConnection(strConnection)
            dbConn.Open()

            'constroi a string de consulta para verificar se as credenciais do usurio existem 
            'no banco de dados
            strSQL = "SELECT codigoUsuario FROM Usuarios " & "WHERE codigoUsuario=@codigoUsuario AND " & "senha=@senha"

            dCmd = New SqlCommand(strSQL, dbConn)
            dCmd.Parameters.Add(New SqlParameter("codigoUsuario", txtLoginID.Text))
            dCmd.Parameters.Add(New SqlParameter("senha", txtPassword.Text))

            'verifica se o usurio foi encontrado
            If (Not IsNothing(dCmd.ExecuteScalar())) Then
                args.IsValid = True
            End If

        Finally
            'limpa os objetos da memoria
            If (Not IsNothing(dbConn)) Then
                dbConn.Close()
            End If
        End Try
    End Sub
    Protected Sub btnLogin_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnLogin.ServerClick
        If (Page.IsValid) Then
            Response.Redirect("bemvindo.aspx")
        Else
            Response.Redirect("malvindo.aspx")
        End If
    End Sub
End Class
